package zijinlian

import "shylinux.com/x/ice"

type investment struct {
	Table
	fields string `data:"title,content"`
	create string `name:"create title* content*" role:"leader"`
	remove string `name:"remove" role:"leader"`
}

func (s investment) Create(m *ice.Message, arg ...string) { s.ValueCreate(m, arg...) }
func (s investment) Remove(m *ice.Message, arg ...string) { s.ValueRemove(m, arg...) }
func (s investment) List(m *ice.Message, arg ...string)   { s.ValueList(m, arg).Display("") }

func init() { ice.TeamCtxCmd(investment{}) }
